Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Class DefaultInterceptorMapBuilder

    java.lang.Object
      org.apache.struts2.convention.DefaultInterceptorMapBuilder

All Implemented Interfaces:
  InterceptorMapBuilder

    public class DefaultInterceptorMapBuilder

extends Object
implements InterceptorMapBuilder

Builds interceptor mappings from annotations.

Constructor Summary
`DefaultInterceptorMapBuilder()`

Method Summary
`List<com.opensymphony.xwork2.config.entities.InterceptorMapping>` | `build(Class<?> actionClass, com.opensymphony.xwork2.config.entities.PackageConfig.Builder builder, String actionName, Action annotation)` Builds the interceptor configurations given the action information.
`protected List<com.opensymphony.xwork2.config.entities.InterceptorMapping>` | `build(InterceptorRef[] interceptors, String actionName, com.opensymphony.xwork2.config.entities.PackageConfig.Builder builder)`
`protected List<com.opensymphony.xwork2.config.entities.InterceptorMapping>` | `buildInterceptorList(com.opensymphony.xwork2.config.entities.PackageConfig.Builder builder, InterceptorRef ref, Map params)`
`void` | `setConfiguration(Configuration configuration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultInterceptorMapBuilder

    public DefaultInterceptorMapBuilder()

Method Detail

### build

    public List<com.opensymphony.xwork2.config.entities.InterceptorMapping> build(Class<?> actionClass,
                                                                                  com.opensymphony.xwork2.config.entities.PackageConfig.Builder builder,
                                                                                  String actionName,
                                                                                  Action annotation)

  Description copied from interface: `InterceptorMapBuilder`
  Builds the interceptor configurations given the action information.

  Specified by:
    `build` in interface `InterceptorMapBuilder`
  Parameters:
    `actionClass` - The class of the action.
    `builder` - The package configuration builder.
    `actionName` - The action name.
    `annotation` - The action annotation.
  Returns:
    The mapping of the interceptors. If there were none found then this should return an empty List.

### build

    protected List<com.opensymphony.xwork2.config.entities.InterceptorMapping> build(InterceptorRef[] interceptors,
                                                                                     String actionName,
                                                                                     com.opensymphony.xwork2.config.entities.PackageConfig.Builder builder)

### buildInterceptorList

    protected List<com.opensymphony.xwork2.config.entities.InterceptorMapping> buildInterceptorList(com.opensymphony.xwork2.config.entities.PackageConfig.Builder builder,
                                                                                                    InterceptorRef ref,
                                                                                                    Map params)

### setConfiguration

    public void setConfiguration(Configuration configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.